Printer.BarcodeType

com.rscja.deviceapi

## Enum Printer.BarcodeType

- java.lang.Object
- - java.lang.Enum<Printer.BarcodeType>
  - - com.rscja.deviceapi.Printer.BarcodeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Printer.BarcodeType>
  Enclosing class:
    Printer

      public static enum Printer.BarcodeType
      extends java.lang.Enum<Printer.BarcodeType>

  1DÌõÂëÀàÐÍ

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CODABAR_NW_7`
    `CODE128`
    `CODE39`
    `CODE93`
    `ITF_Interleaved_2_of_5`
    `JAN13_EAN13`
    `JAN8_EAN8`
    `UCC_EAN128`
    `UPC_A`
    `UPC_E`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Printer.BarcodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Printer.BarcodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPC_A

          public static final Printer.BarcodeType UPC_A

    - #### UPC_E

          public static final Printer.BarcodeType UPC_E

    - #### JAN13_EAN13

          public static final Printer.BarcodeType JAN13_EAN13

    - #### JAN8_EAN8

          public static final Printer.BarcodeType JAN8_EAN8

    - #### CODE39

          public static final Printer.BarcodeType CODE39

    - #### ITF_Interleaved_2_of_5

          public static final Printer.BarcodeType ITF_Interleaved_2_of_5

    - #### CODABAR_NW_7

          public static final Printer.BarcodeType CODABAR_NW_7

    - #### CODE93

          public static final Printer.BarcodeType CODE93

    - #### CODE128

          public static final Printer.BarcodeType CODE128

    - #### UCC_EAN128

          public static final Printer.BarcodeType UCC_EAN128

  - ### Method Detail

    - #### values

          public static Printer.BarcodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Printer.BarcodeType c : Printer.BarcodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Printer.BarcodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null